C ----------------------------------------------------------------------
C
C       L L G M E M   -   Get memory routine for linked-list handler
C
C       This version calls the heap handler
C

        INTEGER FUNCTION LLGMEM(ARRAY,BSIZE)
        INTEGER ARRAY(*),BSIZE

        INTEGER HALLOC
        EXTERNAL HALLOC

        LLGMEM=HALLOC(ARRAY,BSIZE)

        END
C ----------------------------------------------------------------------
C
C       L L F R E E   -   Release memory routine for linked-list handler
C
C       This version calls the heap handler
C

        SUBROUTINE LLFREE(ARRAY,ADDR)
        INTEGER ARRAY(*),ADDR

        CALL HFREE(ARRAY,ADDR)

        END

